﻿using C1.Win.Chart;
using C1.Win.Chart.Interaction;
using System;
using System.CodeDom.Compiler;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FLexChartSample
{
    public partial class Form1 : Form
    {
        ObservableCollection<UserData> Data;
        AxisScrollbar _horizontalScrollbar;
        AxisScrollbar _verticalScrollbar;
        public Form1()
        {
            InitializeComponent();
            var random = new Random();
            Data = new ObservableCollection<UserData>();
            for (int i = 0; i < 100; i++)
            {
                Data.Add(new UserData() { X = i, Y = random.Next(0, 20) });
            }
            flexChart1.BindingX = "Id";
            flexChart1.ChartType = C1.Chart.ChartType.Scatter;
            flexChart1.DataSource = Data;
            flexChart1.Series.Clear();

            var series1 = new Series();
            series1.Binding = "Y";
            series1.Name = "Series 1";
            flexChart1.Series.Add(series1);

            flexChart1.Rendering += (s, e) =>
            {
                if (_horizontalScrollbar != null && _verticalScrollbar != null)
                    return;

                //Creating instance of ScrollBar and attaching it to AxisX
                _horizontalScrollbar = new C1.Win.Chart.Interaction.AxisScrollbar(flexChart1.AxisX);

                //Setting upper value of ScrollBar
                _horizontalScrollbar.UpperValue = _horizontalScrollbar.LowerValue + 150;

                //Creating instance of ScrollBar and attaching it to AxisY
                _verticalScrollbar = new C1.Win.Chart.Interaction.AxisScrollbar(flexChart1.AxisY);

                //Hide ScrollBar buttons
                _verticalScrollbar.ScrollButtonsVisible = false;
                _horizontalScrollbar.Height = 30;
            };
            numericUpDown1.ValueChanged += NumericUpDown1_ValueChanged;
            numericUpDown1.Maximum = 30;
            numericUpDown1.Value = 30;
        }

        private void NumericUpDown1_ValueChanged(object sender, EventArgs e)
        {
            if(_horizontalScrollbar!= null)
            _horizontalScrollbar.Height = (int)numericUpDown1.Value;
            flexChart1.Refresh();
        }

        private void SetupFlexChart()
        {
           
        }
    }

    public class UserData
    {
        public int X { get; set; }
        public int Y { get; set; }
    }
}
